import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  _count: SortOrderSchema.optional()
}).strict();
export const ShoppingVendorOrderByRelationAggregateInputObjectSchema: z.ZodType<Prisma.ShoppingVendorOrderByRelationAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.ShoppingVendorOrderByRelationAggregateInput>;
export const ShoppingVendorOrderByRelationAggregateInputObjectZodSchema = makeSchema();
